<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 20.100 registration form</title>
    <!-- Nhúng thư viện bootstrap 4-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container jumbotron">
        <div class="row">
            <div class="col-sm-12">
                <h4 class="text-center text-primary">Registration Form - Form đăng kí nhập cảnh</h4>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>First Name <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-first-name" placeholder="Nhập first name">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Passport <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-passport" placeholder="Nhập passport">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Last Name <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-last-name" placeholder="Nhập last name">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Email</label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-email" placeholder="Nhập email">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Birthday <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-birthday" placeholder="Nhập birthday">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Country <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-country" placeholder="Nhập country">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Gender <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <div class = "row">
                                    <div class = "col-sm-3">
                                        <input type="radio" name="select-gender" value="male">
                                        <label for="male-gender">Male</label>
                                    </div>
                                    <div class = "col-sm-4">
                                        <input type="radio" name="select-gender" value="female">
                                        <label for="female-gender">Female</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Region</label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-region" placeholder="Nhập region">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label>Subject</label>
            </div>
            <div class="col-sm-10">
                <textarea class="form-control" id="inp-subject"></textarea>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 text-right">
                <button class="btn btn-success" id="btn-sibmit">Submit</button>
            </div>
        </div>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */



    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $("#btn-sibmit").click(function () {
        onBtnSubmitClick();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSubmitClick(){
        var  vDataObj = {
            firstName: "",
            lastName: "",
            birthday: "",
            gender: "",
            subject: "",
            passport: "",
            email: "",
            country: "",
            region: ""
        };

        getDataObj(vDataObj);

        var vValidate = validateDataObj(vDataObj);
        if(vValidate) {
            showDataObj(vDataObj);
        }
    }
    //kiểm tra dữ liệu 

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getDataObj(paramObj) {
        paramObj.firstName = $("#inp-first-name").val().trim();
        paramObj.lastName = $("#inp-last-name").val().trim();
        paramObj.birthday = $("#inp-birthday").val().trim();
        paramObj.gender = $("input[name='select-gender']:checked").val();
        paramObj.subject = $("#inp-subject").val().trim();
        paramObj.passport = $("#inp-passport").val().trim();
        paramObj.email = $("#inp-email").val().trim();
        paramObj.country = $("#inp-country").val().trim();
        paramObj.region = $("#inp-region").val().trim();
    }
    function validateDataObj(paramObj) {
        if (paramObj.firstName === "" ) {
            alert("nhập firstname ... ");
            return false;
        }

        if (paramObj.lastName === "" ) {
            alert("nhập lastname ... ");
            return false;
        }

        if (paramObj.birthday === "" ) {
            alert("nhập birthday ... ");
            return false;
        }

        if (paramObj.gender === "" ) {
            alert("chọn gender  ... ");
            return false;
        }

        if (paramObj.passport === "" ) {
            alert("nhập passport ... ");
            return false;
        }
        if (paramObj.country === "" ) {
            alert("nhập country ... ");
            return false;
        }
        return true;
    }

    function showDataObj(paramObj) {
        console.log(paramObj);
    }
</script>
</html>